import request from '@/utils/request'

// 查询今日头条、快手列表
export function listTtsum(query) {
  return request({
    url: '/tcZz/netManage/ttsum/list',
    method: 'get',
    params: query
  })
}

// 查询今日头条、快手详细
export function getTtsum(id) {
  return request({
    url: '/tcZz/netManage/ttsum/' + id,
    method: 'get'
  })
}

// 新增今日头条、快手
export function addTtsum(data) {
  return request({
    url: '/tcZz/netManage/ttsum',
    method: 'post',
    data: data
  })
}

// 修改今日头条、快手
export function updateTtsum(data) {
  return request({
    url: '/tcZz/netManage/ttsum',
    method: 'put',
    data: data
  })
}

// 删除今日头条、快手
export function delTtsum(id) {
  return request({
    url: '/tcZz/netManage/ttsum/' + id,
    method: 'delete'
  })
}

// 今日头条、快手批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/ttsum/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/ttsum/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}